/*
File: INTTEST.CC

Author: Matthew Mastracci

Purpose: Demonstrates calling real-mode interrupts, creating alias 
descriptors for real-mode segments and other neat things.
*/

#include <conio.h>

extern void InitGraphics(void);
extern void InitMode13h(void);
extern void PutPixel(unsigned int, unsigned int, unsigned char);
extern void RestoreTextMode(void);

int main(void)
{
  int x, y;
  InitGraphics();
  InitMode13h();
  for (y = 0; y < 100; y++) {
    for (x = 0; x < 100; x++) {   
      PutPixel(x, y, ((x * y) >> 2) % 256);
    }
  }
  getch();
  RestoreTextMode();
  return 0;
}
